Your message dated Wed, 17 Jun 2009 02:59:53 +0200
with message-id <[email protected]>
and subject line Re: Bug#532423: make 'force-reload' use --force
has caused the Debian Bug report #532423,
regarding make 'force-reload' use --force
to be marked as done.
This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.
(NB: If you are a system administrator and have no idea what this
message is talking about, this may indicate a serious mail system
misconfiguration somewhere. Please contact [email protected]
immediately.)
--
532423: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=532423
Debian Bug Tracking System
Contact [email protected] with problems
--- Begin Message ---
Package: netbase
Version: 4.34
Severity: wishlist
Tags: patch
Hello,
Due to the thread starting at [1] I looked at /etc/init.d/networking and
noticed that 'restart' and 'force-reload' are doing the same thing.
Maybe it would make sense for 'force-reload' to actually use '--force'
to ifup/ifdown? The attached patch does just that.
[1] http://lists.debian.org/debian-user/2009/06/msg00608.html
Regards,
Andrei
-- System Information:
Debian Release: squeeze/sid
APT prefers unstable
APT policy: (500, 'unstable'), (500, 'testing'), (500, 'stable'), (1,
'experimental')
Architecture: amd64 (x86_64)
Kernel: Linux 2.6.29-2-amd64 (SMP w/2 CPU cores)
Locale: LANG=ro_RO.UTF-8, LC_CTYPE=ro_RO.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash
Versions of packages netbase depends on:
ii lsb-base 3.2-22 Linux Standard Base 3.2 init scrip
Versions of packages netbase recommends:
ii ifupdown 0.6.8+nmu1 high level tools to configure netw
netbase suggests no packages.
-- no debconf information
--- debian/netbase.init.old 2008-07-26 02:02:15.000000000 +0300
+++ debian/netbase.init 2009-06-09 12:30:20.000000000 +0300
@@ -63,7 +63,7 @@
fi
;;
-force-reload|restart)
+restart)
process_options
log_action_begin_msg "Reconfiguring network interfaces"
@@ -75,6 +75,18 @@
fi
;;
+force-reload)
+ process_options
+
+ log_action_begin_msg "Reconfiguring network interfaces"
+ ifdown -a --force --exclude=lo || true
+ if ifup -a --force --exclude=lo; then
+ log_action_end_msg $?
+ else
+ log_action_end_msg $?
+ fi
+ ;;
+
*)
echo "Usage: /etc/init.d/networking {start|stop|restart|force-reload}"
exit 1
--- End Message ---
--- Begin Message ---
On Jun 09, Andrei Popescu <[email protected]> wrote:
> Maybe it would make sense for 'force-reload' to actually use '--force'
> to ifup/ifdown? The attached patch does just that.
No, because force-reload has totally different semantics and it does not
mean what you think it means.
--
ciao,
Marco
signature.asc
Description: Digital signature
--- End Message ---